const St = imports.gi.St;
const Gio = imports.gi.Gio;
const GLib = imports.gi.GLib;

const Main = imports.ui.main;

function init() {
  button = new St.BoxLayout({
    style_class: "ur-anime-profile-pic",
    reactive: false,
    can_focus: false,
    x_expand: false,
    y_expand: false,
    track_hover: false,
  });

  let gicon = Gio.icon_new_for_string(
    "/var/lib/AccountsService/icons/" + GLib.get_user_name()
  );
  let icon = new St.Icon({ gicon, styleClass: "ur-anime-profile-pic" });
  icon.set_icon_size(22);
  button.add_child(icon);
}

function enable() {
  Main.panel._rightBox.insert_child_at_index(button, -1);
}

function disable() {
  Main.panel._rightBox.remove_child(button);
}
